Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 517082 (CVE-2014-5119) - <sys-libs/glibc-2.20: off-by-one error leading to a heap-based buffer overflow flaw in __gconv_translit_find() (CVE-2014-5119)
Summary: <sys-libs/glibc-2.20: off-by-one error leading to a heap-based buffer overflo...
Status: RESOLVED FIXED
Alias: CVE-2014-5119
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A2 [glsa]
Keywords:
Depends on: CVE-2014-0475 544034
Blocks:
  Show dependency tree
 
Reported: 2014-07-14 09:10 UTC by Agostino Sarubbo
Modified: 2016-02-17 15:37 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-07-14 09:10:31 UTC
From ${URL} :

Tavis Ormandy reported an off-by-one error leading to a heap-based buffer overflow flaw in glibc's __gconv_translit_find() function. This could be triggered by setting the CHARSET environment variable to a malicious value. This could possibly lead to code 
execution as root if a set user ID (setuid) root application used this environment variable without sanitizing its value.

References:

http://www.openwall.com/lists/oss-security/2014/07/14/1
http://www.openwall.com/lists/oss-security/2014/07/14/2


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2014-09-03 19:43:39 UTC
CVE-2014-5119 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-5119):
  Off-by-one error in the __gconv_translit_find function in gconv_trans.c in
  GNU C Library (aka glibc) allows context-dependent attackers to cause a
  denial of service (crash) or execute arbitrary code via vectors related to
  the CHARSET environment variable and gconv transliteration modules.
Comment 3 Yury German Gentoo Infrastructure gentoo-dev Security 2014-09-09 23:07:18 UTC
This CVE is fixed in Version 2.20
https://sourceware.org/ml/libc-alpha/2014-09/msg00088.html

Maintainer(s): after the bump please let us know when the ebuild is ready for  stabilization.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2015-03-03 04:00:58 UTC
Based on the version change setting blocker to Bug 516884 (which is the blocker for all glib-2.20 version.

If this is not correct please advise.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-02-17 15:37:49 UTC
This issue was resolved and addressed in
 GLSA 201602-02 at https://security.gentoo.org/glsa/201602-02
by GLSA coordinator Tobias Heinlein (keytoaster).